Method: courses.courseWorkMaterials.patch

Updates one or more fields of a course work material.

This method returns the following error codes:

  • PERMISSION_DENIED if the requesting developer project for access errors.
  • INVALID_ARGUMENT if the request is malformed.
  • FAILED_PRECONDITION if the requested course work material has already been deleted.
  • NOT_FOUND if the requested course or course work material does not exist

HTTP request

PATCH https://classroom.googleapis.com/v1/courses/{courseId}/courseWorkMaterials/{id}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
courseId

string

Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.

id

string

Identifier of the course work material.

Query parameters

Parameters
updateMask

string (FieldMask format)

Mask that identifies which fields on the course work material to update. This field is required to do an update. The update fails if invalid fields are specified. If a field supports empty values, it can be cleared by specifying it in the update mask and not in the course work material object. If a field that does not support empty values is included in the update mask and not set in the course work material object, an INVALID_ARGUMENT error is returned.

The following fields may be specified by teachers:

  • title
  • description
  • state
  • scheduledTime
  • topicId

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

previewVersion

enum (PreviewVersion)

Optional. The preview version of the endpoint.

PREVIEW_VERSION_9001 includes new capabilities: * Updates to materials are supported. To update materials, use the updateMask "materials". The list of materials provided in the request's CourseWorkMaterial object will fully replace the existing list. The materials field can be cleared by specifying "materials" in the update mask and not in the CourseWorkMaterial object. Updates to PUBLISHED CourseWorkMaterial are not supported at this time.

Request body

The request body contains an instance of CourseWorkMaterial.

Response body

If successful, the response body contains an instance of CourseWorkMaterial.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/classroom.courseworkmaterials

For more information, see the Authorization guide.